The persistent package

[Tags: library, mit]

This library provides just the general interface and helper functions. You must use a specific backend in order to make this useful.


Properties

Versions0.0.0, 0.0.0.1, 0.1.0, 0.2.0, 0.2.0.1, 0.2.0.2, 0.2.1, 0.2.2, 0.2.2.1, 0.2.2.2, 0.2.3, 0.2.4, 0.2.4.1, 0.3.0, 0.3.0.1, 0.3.1, 0.3.1.1, 0.3.1.2, 0.3.1.3, 0.4.0, 0.4.0.1, 0.4.1, 0.4.2, 0.5.0, 0.5.1, 0.6.1, 0.6.2, 0.6.3, 0.6.4, 0.6.4.1, 0.6.4.2, 0.6.4.3, 0.6.4.4, 0.7.0, 0.7.0.1, 0.8.0, 0.8.0.1, 0.8.0.2, 0.9.0, 0.9.0.1, 0.9.0.2, 0.9.0.3, 0.9.0.4, 1.0.0, 1.0.1, 1.0.1.1, 1.0.1.2, 1.0.1.3, 1.0.2, 1.0.2.1, 1.0.2.2, 1.1.0, 1.1.0.1, 1.1.2, 1.1.3, 1.1.3.1, 1.1.3.2, 1.1.4, 1.1.5, 1.1.5.1, 1.2.0, 1.2.0.1, 1.2.0.2, 1.2.1, 1.2.1.1, 1.2.1.2, 1.2.2.0, 1.2.3.0, 1.2.3.1, 1.2.3.2, 1.2.3.3, 1.3.0, 1.3.0.2, 1.3.0.3, 1.3.0.4, 1.3.0.5, 1.3.0.6, 1.3.1, 1.3.1.1, 1.3.2, 1.3.3, 2.0.0, 2.0.0.1, 2.0.1, 2.0.1.1, 2.0.2, 2.0.3, 2.0.3.1, 2.0.4, 2.0.5, 2.0.5.1, 2.0.7, 2.0.7.1, 2.0.8, 2.1, 2.1.0.1, 2.1.0.2, 2.1.1 (info)
Dependenciesbase (==4.*), blaze-html (==0.4.*), bytestring (==0.9.*), containers (>=0.2 && <0.5), enumerator (==0.4.*), monad-peel (==0.1.*), parsec (>=2.1 && <4), pool (==0.0.*), template-haskell, text (>=0.8 && <0.12), time (>=1.1.4 && <1.3), transformers (>=0.2.1 && <0.3), web-routes-quasi (==0.6.*)
LicenseBSD3
AuthorMichael Snoyman <michael@snoyman.com>
MaintainerMichael Snoyman <michael@snoyman.com>
StabilityStable
CategoryDatabase, Yesod
Home pagehttp://docs.yesodweb.com/book/persistent
Source repositoryhead: git clone git://github.com/snoyberg/persistent.git
Executablesruntests
Upload dateWed Mar 16 06:56:32 UTC 2011
Uploaded byMichaelSnoyman
DistributionsDebian:1.3.1.1, FreeBSD:1.2.0.1, NixOS:2.1.1, Stackage:2.1.0.2
Downloads45857 total (4160 in last 30 days)

Modules

[Index]

Flags

NameDescriptionDefault
testBuild the runtests executables.Disabled

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info

Downloads

Maintainers' corner

For package maintainers and hackage trustees